! ESERVE resources for both CDE and non-CDE systems

! default paths for editors
ESERVE*defaultGnuEmacsPath:	emacs
ESERVE*defaultXEmacsPath:	xemacs

! to get the right things to have shadows and only the right things
ESERVE*XmSeparator*shadowThickness: 		2
ESERVE*XmSeparatorGadget*shadowThickness: 	2
ESERVE*XmScrollBar*shadowThickness: 		1
ESERVE*XmList*shadowThickness: 			1
ESERVE*XmText*shadowThickness: 			1
ESERVE*XmTextField*shadowThickness: 		1
ESERVE*XmCascadeButton*shadowThickness: 	1
ESERVE*XMCascadeButtonGadget*shadowThickness: 	1
ESERVE*XmDrawnButton*shadowThickness: 		1
ESERVE*XmDrawnButtonGadget*shadowThickness: 	1
ESERVE*XmPushButton*shadowThickness: 		1
ESERVE*XmPushButtonGadget*shadowThickness: 	1
ESERVE*XmOptionMenu*OptionButton*shadowThickness: 1
ESERVE*XmOptionMenu*shadowThickness: 		1
ESERVE*XmPanedWindow*sashShadowThickness: 	1
ESERVE*XmSelectionBox*shadowThickness: 		1
ESERVE*XmScale*shadowThickness: 		1

! General Help Dialog
ESERVE*XmDialogShell.DtHelpDialog*DisplayArea.background: 		White
ESERVE*XmDialogShell*XmDialogShell.DtHelpDialog*DisplayArea.background: White
ESERVE*XmDialogShell.DtHelpDialog*DisplayArea.foreground: 		Black
ESERVE*XmDialogShell*XmDialogShell.DtHelpDialog*DisplayArea.foreground: Black

! Quick Help Dialog
ESERVE*XmDialogShell.DtHelpQuickDialog*DisplayArea.background: 		White
ESERVE*XmDialogShell*XmDialogShell.DtHelpQuickDialog*DisplayArea.background: White
ESERVE*XmDialogShell.DtHelpQuickDialog*DisplayArea.foreground: 		Black
ESERVE*XmDialogShell*XmDialogShell.DtHelpQuickDialog*DisplayArea.foreground: Black

! dblclick to select C identifiers, ctrl- or alt-dblclick for WS-separated words
ESERVE*DtTerm.translations: #override\n\
	Alt ~Shift <Btn1Down>:	grab-focus() \n\
	Ctrl ~Shift <Btn1Down>:	grab-focus() \n\
	~Shift <Btn1Down>:	grab-focus(token) \n\
	<Btn1Up>:	extend-end()

! Set cursor blink rate in terminal emulator windows
! like the VI windows. Time in milliseconds, 0 means no blinking
ESERVE*DtTerm.blinkRate: 250

! End of ESERVE resources for both CDE and non-CDE systems

!resources that are unique to Motif (i.e. non-cde)

!fonts for Motif (non-CDE) windowing systems
ESERVE.labelFontList:	-*-lucida-medium-r-normal-*-12-*-*-*-*-*-*-*
ESERVE.buttonFontList:  -*-lucida-medium-r-normal-*-12-*-*-*-*-*-*-*
ESERVE.textFontList:    -*-lucidatypewriter-medium-r-normal-*-12-*-*-*-*-*-*-*

!ESERVE*dtTerm*userFont: -*-lucidatypewriter-medium-r-normal-*-12-*-*-*-*-*-*-*:

!Color resources for ESERVE
ESERVE*foreground: black

!form backgrounds (main windows and dialog boxes), buttons and menus
ESERVE*background: 		#DEDEDEDEDEDE
ESERVE*XmPushButton*background: #DEDEDEDEDEDE
ESERVE*XmMenuShell*background: 	#DEDEDEDEDEDE

!readonly text areas 
ESERVE*XmList*background: 	#DEDEDEDEDEDE

!writable text areas; 
ESERVE*XmTextField*background:  #FFFFFFFFFFFF
ESERVE*XmText*background: 	#FFFFFFFFFFFF
ESERVE*dtTerm*background: 	#FFFFFFFFFFFF
ESERVE*readwriteBackground: 	#FFFFFFFFFFFF

!drawing areas 
ESERVE*XmDrawingArea.background: #FFFFFFFFFFFF

!Shadow colors
ESERVE*topShadowColor: white

!toggle button colors.  Should not set for CDE
ESERVE*XmToggleButton.selectColor:		#FFFF96969696
ESERVE*XmToggleButton.fillOnSelect:    		true
ESERVE*XmToggleButtonGadget.selectColor:   	#FFFF96969696
ESERVE*XmToggleButtonGadget.fillOnSelect:    	true

!
! Motif Text widgets need to know how to handle certain key sequences
! when not setup by the desktop. 
! (The cde desktop does this automatically; when we are running
!  outside of this desktop we need to handle it)
! Note: this translation table provides for upwards compatability
! from openwindows, i.e., both Delete and Backspace delete the
! previous character and so does Ctrl-h
!
ESERVE*XmText*Translations:	#override\n\
        Ctrl<Key>u:delete-to-start-of-line()\n\
        Ctrl<Key>k:delete-to-end-of-line()\n\
        Ctrl<Key>a:beginning-of-line()\n\
        Ctrl<Key>e:end-of-line()\n\
        Ctrl<Key>p:process-up()\n\
        Ctrl<Key>b:backward-character()\n\
        Ctrl<Key>n:process-down()\n\
        Ctrl<Key>h:delete-previous-character()\n\
        Ctrl<Key>d:delete-next-character()\n\
        <Key>osfDelete:delete-previous-character()\n\
        Ctrl<Key>f:forward-character()
ESERVE*XmTextField*Translations:	#override\n\
        Ctrl<Key>u:delete-to-start-of-line()\n\
        Ctrl<Key>k:delete-to-end-of-line()\n\
        Ctrl<Key>a:beginning-of-line()\n\
        Ctrl<Key>e:end-of-line()\n\
        Ctrl<Key>b:backward-character()\n\
        Ctrl<Key>h:delete-previous-character()\n\
        Ctrl<Key>d:delete-next-character()\n\
        <Key>osfDelete:delete-previous-character()\n\
        Ctrl<Key>f:forward-character()

! End of resources for motif (non-CDE) systems

ESERVE*viFileCascade.mnemonic: F
ESERVE*Help.mnemonic: H
ESERVE*viWorkShopCascade.mnemonic: S
ESERVE*viBuildCascade.mnemonic: u
ESERVE*viCurrentTargetMenuItem.mnemonic: C
ESERVE*viThisFileMenuItem.mnemonic: T
ESERVE*viBreakpointsCascade.mnemonic: B
ESERVE*viStopAtMenuItem.mnemonic: A
ESERVE*viStopInSelectedMenuItem.mnemonic: I
ESERVE*viDeleteBreakpointAtMenuItem.mnemonic: D
ESERVE*viProgramCascade.mnemonic: P
ESERVE*viStartMenuItem.mnemonic: S
ESERVE*viGoMenuItem.mnemonic: G
ESERVE*viInterruptMenuItem.mnemonic: I
ESERVE*viStepCascade.mnemonic: S
ESERVE*viIntoMenuItem.mnemonic: I
ESERVE*viOverMenuItem.mnemonic: O
ESERVE*viOutMenuItem.mnemonic: t
ESERVE*viStackCascade.mnemonic: t
ESERVE*viUpMenuItem.mnemonic: U
ESERVE*viDownMenuItem.mnemonic: D
ESERVE*viPopMenuItem.mnemonic: P
ESERVE*viPop2MenuItem.mnemonic: C
ESERVE*viEvaluateCascade.mnemonic: E
ESERVE*viEvaluateSelectedMenuItem.mnemonic: S
ESERVE*viAsPointerMenuItem.mnemonic: P
ESERVE*viBrowseCascade.mnemonic: B
ESERVE*viReferencesToSelectedMenuItem.mnemonic: R
ESERVE*viDefinitionOfSelectedMenuItem.mnemonic: D
ESERVE*viFixCascade.mnemonic: F
ESERVE*viFixFileMenuItem.mnemonic: F
ESERVE*viFixProgramMenuItem.mnemonic: P
! Resources for the vi window

ESERVE*viWindow.rows:	35
ESERVE*viWindow.cols: 80
! Resource for the highlight color for error lines

ESERVE*matchColor:	#99CFFF
